<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.style24.batch.biz.dao.TsbWmsDeliveryDao">
	
	<!-- WMS 총알배송 권역정보 생성 1  
	<select id="uspWmsDailyTmlInfoE10" statementType="CALLABLE" parameterType="Delivery" resultType="Delivery"  >
		/* TsbDelivery.saveOrderDeliveryLocAssign   */
		{ CALL USP_WMS_DailyTmlInfo_E10( '14', #{rtnCd, mode=OUT, jdbcType=INT, javaType=integer}, #{rtnMsg, mode=OUT, jdbcType=NVARCHAR, javaType=String}) }
	</select>
	-->
	<!-- WMS 총알배송 권역정보 생성 2  
	<select id="uspWmsDailyTmlInfoE20" statementType="CALLABLE" parameterType="Delivery" resultType="Delivery"  >
		/* TsbDelivery.saveOrderDeliveryLocAssign   */
		{ CALL USP_WMS_DailyTmlInfo_E10( '14', #{rtnCd, mode=OUT, jdbcType=INT, javaType=integer}, #{rtnMsg, mode=OUT, jdbcType=NVARCHAR, javaType=String}) }
	</select>	
	-->
	
	<!-- WMS_IF 총알배송 권역정보 조회   -->	
	<select id="getWmsIfDailyDeliveryZoneList" resultType="Delivery">
	/*TsbWmsDelivery.getWmsIfDailyDeliveryZoneList*/
		SELECT
			  ZIP_NO	
			, PND_BRAN	
			, PND_BRAN_NM	
			, OPER_ABOVE_BRAN	
			, TR_BRAN_NM	
			, CITY_DO	
			, GU_GUN	
			, DONG_YUP_MEUN	
			, DELIVERY_TIME	
			, DELIVERY_PROBABILITY	
			, DELIVERYCLASSCD	 
			, CASE WHEN ISUSE = 0 THEN 'Y' ELSE 'N' END AS ISUSE

		FROM TB_IF_DAILYDELIVERYZONE
	   WHERE ISUSE = 0
	/*	WHERE DATELASTUPDATE > CONVERT(datetime,'20200311'+' 00:00:00') */
	</select>
	
</mapper>